import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

class FontsSection extends StatelessWidget {
  const FontsSection({super.key});

  static final typographyText = [
    title1Semibold,
    title1ExtraBold,
    title2Regular,
    title2Semibold,
    title2ExtraBold,
    title3Regular,
    title3Medium,
    title3Semibold,
    headlineRegular,
    headlineMedium,
    textRegular,
    textMedium,
    captionRegular,
    captionSemibold,
    caption2Regular,
    caption2Bold,
  ];

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width(context) * 100,
      height: height(context) * 50,
      child: ListView.builder(
        itemCount: typographyText.length,
        itemBuilder: (BuildContext context, int index) {
          final currentItem = typographyText[index];
          return Text('FontTypographyTest', style: currentItem);
        },
      ),
    );
  }
}
